org.apache.tomcat.util.digester

## Class GenericParser

- java.lang.Object
- - org.apache.tomcat.util.digester.GenericParser

-     public class GenericParser
      extends java.lang.Object

  Create a `SAXParser` configured to support XML Schema and DTD.
  Since:
    1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` The JAXP 1.2 property to set up the schemaLanguage used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.xml.parsers.SAXParser` | `newSAXParser(java.util.Properties properties)` Create a `SAXParser` configured to support XML Schema and DTD

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAXP_SCHEMA_LANGUAGE

          protected static java.lang.String JAXP_SCHEMA_LANGUAGE

      The JAXP 1.2 property to set up the schemaLanguage used.

  - ### Constructor Detail

    - #### GenericParser

          public GenericParser()

  - ### Method Detail

    - #### newSAXParser

          public static javax.xml.parsers.SAXParser newSAXParser(java.util.Properties properties)
                                                          throws javax.xml.parsers.ParserConfigurationException,
                                                                 org.xml.sax.SAXException,
                                                                 org.xml.sax.SAXNotRecognizedException

      Create a `SAXParser` configured to support XML Schema and DTD
      Parameters:
        `properties` - parser specific properties/features
      Returns:
        an XML Schema/DTD enabled `SAXParser`
      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `org.xml.sax.SAXNotRecognizedException`

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.